Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1042

[32bit] Qt status icon menu has several problems
December 24, 2020 15:27 - Anonymous

Status: Closed Start date: December 24, 2020
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/statusicon Estimated time: 0.00 hour

Target version:

Affects version: 4.0.4

Description
it's possible, that this is 32bit specific.

with close to system tray enabled, closing works fine, but then, there's no GUI way to get it back. You should probably copy the way
VLC is doing it, with a hide/unhide menu entry at the top.

disabling the popup menu doesn't work.

when started as headless. If you press on "open files" or "settings" the whole program crashes with a Qt error. | think, these entries
should be grayed out when headless.

| didn't tested scrolling. It seams there's a contradiction between scrolling for volume, and scrolling up to advance in the playlist.

Audacious 4.0.5 (Ubuntu package) (version, not in the list)
from the provided ppa, 32bit ubuntu 18.04, on a very old laptop.

History

#1 - December 26, 2020 17:38 - John Lindgren

You can left-click on the status icon to show the Ul again.

Please see if these fixes resolve the crash in headless mode for you:
https://github.com/audacious-media-player/audacious/commit/86d66f0a8021651e0247e71df2e898b651de3060

#2 - December 26, 2020 18:53 - Anonymous

I'm supposed to compile it?

Hi! Welcome, you've found the website of the upstream Audacious project. We provide and distribute the source code. Other projects/individuals build
binary packages from the source code we provide.

#3 - December 26, 2020 21:50 - John Lindgren

- Status changed from New to Closed

Oops, | fat-fingered and edited your comment, sorry. Anyway, the bug is fixed, closing.
https://github.com/audacious-media-player/audacious/commit/86d66f0a8021651e0247e71df2e898b651de3060

File a bug against MATE for breaking left-click on the status icon. It sounds like that affects other applications as well.
